import { expect, tap } from '@pushrocks/tapbundle';
import * as webclient from '../ts/index';

let testClient: webclient.CsWebclient;

tap.test('should create an instance of webclient', async () => {
  testClient = new webclient.CsWebclient();
  expect(testClient).to.be.instanceOf(webclient.CsWebclient);
});

tap.test('should return false when asked for present settings', async () => {
  const result = await testClient.isCookieLevelSet();
  expect(result).to.be.false;
});

tap.test('should create a cookielevel setting', async () => {
  await testClient.setCookieLevels(['functional']);
  const result = await testClient.getCookieLevels();
  expect(result).to.contain('functional');
});

tap.test('should return true when asked for present settings', async () => {
  const result = await testClient.isCookieLevelSet();
  expect(result).to.be.true;
});

tap.test('should validity for present settings', async () => {
  const result = await testClient.isCookieLevelStillValid();
  expect(result).to.be.true;
});

tap.start();
